function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import { BizDetailLayout } from '@zgfe/business-lib';
import { Button, Result, Spin } from 'antd';
import React, { useEffect, useState } from 'react';
import { SimpleColumnTable } from '../../components/job/columnSelect';
import apis from '../../constants/api';
import request from '../../utils/ajax';
import './styles/index.less';
var CdpCheckTable = function CdpCheckTable(_ref) {
  var tableName = _ref.tableName,
    className = _ref.className,
    onBack = _ref.onBack;
  var classPrefix = 'cdp-check-table';
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var _useState3 = useState(false),
    _useState4 = _slicedToArray(_useState3, 2),
    failed = _useState4[0],
    setFailed = _useState4[1];
  var _useState5 = useState([]),
    _useState6 = _slicedToArray(_useState5, 2),
    dataSource = _useState6[0],
    setDataSource = _useState6[1];
  useEffect(function () {
    query();
  }, []);
  function query() {
    setLoading(true);
    setFailed(false);
    request(apis.queryDatasetColumns, {
      method: 'get',
      params: {
        tableName: tableName
      }
    }).then(function (res) {
      if (!res) return;
      setDataSource(res.data);
    }).catch(function (err) {
      console.error('查询表结构失败', err);
      setFailed(true);
    }).finally(function () {
      setLoading(false);
    });
  }
  return /*#__PURE__*/React.createElement(BizDetailLayout, {
    onBack: onBack,
    className: "".concat(classPrefix, " ").concat(className),
    width: "100%"
  }, /*#__PURE__*/React.createElement("div", {
    className: "".concat(classPrefix, "-title")
  }, "\u6570\u636E\u96C6\u8868\u7ED3\u6784: ", tableName), function () {
    if (loading) return /*#__PURE__*/React.createElement(Spin, {
      className: "".concat(classPrefix, "-loading")
    });
    if (failed) return /*#__PURE__*/React.createElement(Result, {
      status: "error",
      extra: /*#__PURE__*/React.createElement(Button, {
        type: "primary",
        onClick: query
      }, "\u91CD\u65B0\u52A0\u8F7D")
    });
    return /*#__PURE__*/React.createElement(SimpleColumnTable, {
      readonly: true,
      columnList: dataSource,
      hideSelector: true
    });
  }());
};
export default CdpCheckTable;